py(1)

NAME
pythonpy - 'python -c', with tab completion and shorthand

SYNOPSIS
py [-x] [-l] [-c PRE_CMD] [-C POST_CMD] [-V] [-h] [expression]

DESCRIPTION
pythonpy will evaluate any Python expression from the command line.

This will be done by the same Python interpreter that runs it. As this version uses Python 3, it is compatible with Python 3 syntax only.

OPTIONS

-x  Treat each row of stdin as x

-l  Treat list of stdin as l

-c PRE_CMD
    Run code before expression

-C POST_CMD
    Run code after expression

-V, --version
    Version info

-h, --help
    Show help message and exit

EXAMPLES
Float arithmetic:

    $ py '3 * 1.5'

Import any module automatically:

    $ py 'math.exp(1)'

Multiply each line of input by 7:

    $ py 'range(3)' | py -x 'int(x)*7'

Remove every file returned by the find command:

    $ find . -type f | py -x '"rm %s" % x' | sh

SEE ALSO
python(1)

BUGS
Bugs should be reported as issues at the project's GitHub page: <https://github.com/Russell91/pythonpy/issues>

AUTHOR
pythonpy is developed by Russell Stewart <russell.s.stewart@gmail.com>.

This man page was written by Tiago Ilieve <tiago.myhro@gmail.com> for the Debian distribution (but it may be used by others).